| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetricsServerInterface.NetricsSearchResponse Class Reference

This class represents the ibi™ Patterns - Search Server's response to a search command. More...

## Public Member Functions
float | getSearchTime ()
| The amount of time is took to perform the search.
double[] | getFilterTimes ()
| The amount of time spent in each search filter.
String[] | getFilterTimeNames ()
| The names of the search filters corresponding to the times returned by getFilterTimes.
int[] | getFilterOutputSizes ()
| The output sizes of each search filter.
String[] | getFilterOutputNames ()
| The names of the search filters corresponding to the times returned by getFilterOutputSizes.
bool | isGipSearch ()
| Return true if the GIP prefilter was used in this search.
bool | isSortSearch ()
| Return true if the SORT prefilter was used in this search.
bool | isPsiSearch ()
| Return true if the PSI prefilter was used in this search.
double | getMinConfidence ()
| Return the minimum confidence value seen in processing this query.
double | getResultConfidence ()
| Return the result set confidence for this query.
NetricsSearchResult[] | getSearchResults ()
| Get the records returned by the search.

## Detailed Description

This class represents the ibi™ Patterns - Search Server's response to a search command.

Use the getSearchResults method to get the list of records returned by the search.

## Member Function Documentation

## ◆ getFilterOutputNames()

String[] NetricsServerInterface.NetricsSearchResponse.getFilterOutputNames | ( |  | ) |
| inline

The names of the search filters corresponding to the times returned by getFilterOutputSizes.

Returns
  A string representing the name of each filter used for the search.

## ◆ getFilterOutputSizes()

int[] NetricsServerInterface.NetricsSearchResponse.getFilterOutputSizes | ( |  | ) |
| inline

The output sizes of each search filter.

Returns
  An int representing the number of records passed by each search filter.

## ◆ getFilterTimeNames()

String[] NetricsServerInterface.NetricsSearchResponse.getFilterTimeNames | ( |  | ) |
| inline

The names of the search filters corresponding to the times returned by getFilterTimes.

Returns
  A string representing the name of each filter used for the search.

## ◆ getFilterTimes()

double[] NetricsServerInterface.NetricsSearchResponse.getFilterTimes | ( |  | ) |
| inline

The amount of time spent in each search filter.

Returns
  A float representing the amount of time spent in each search filter.

## ◆ getMinConfidence()

double NetricsServerInterface.NetricsSearchResponse.getMinConfidence | ( |  | ) |
| inline

Return the minimum confidence value seen in processing this query.

This returns the minimum confidence value seen at any point during the processing of this query. This value can be used to determine if a Learn Model is hitting poorly trained cases even if they have been shielded from affecting the confidence of the result set by a First Valid score combiner.

Returns
  the minimumm confidence value seen at any point in processing the query, it returns -1.0 if no minimum confidence value is available.

See also
  NetricsSearchResponse.getResultConfidence(), NetricsQuery.FirstValid(ConfidenceQlt[], bool)

## ◆ getResultConfidence()

double NetricsServerInterface.NetricsSearchResponse.getResultConfidence | ( |  | ) |
| inline

Return the result set confidence for this query.

This returns the overall confidence measure for the result set. The overall confidence is set as the minimum top level confidence measure of any record processed, even if that record is not returned in the return set. This is useful in determining the reliability of the results.

This differs from the getMinConfidence measure in that it looks only at the top level confidence value, not the confidence values for each querylet.

Returns
  the overall confidence for the result set or -1.0 of no overall confidence value is available.

See also
  NetricsSearchResponse.getMinConfidence(), NetricsQuery.FirstValid(ConfidenceQlt[], bool)

## ◆ getSearchResults()

NetricsSearchResult[] NetricsServerInterface.NetricsSearchResponse.getSearchResults | ( |  | ) |
| inline

Get the records returned by the search.

Returns
  An array of records which matched the query with additional scoring information. Not null. The records are in order based on the matchScore of the record (from largest to smallest).

## ◆ getSearchTime()

float NetricsServerInterface.NetricsSearchResponse.getSearchTime | ( |  | ) |
| inline

The amount of time is took to perform the search.

Returns
  A float representing the amount of time spent performing the search (in seconds).